﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;
using System.Web.Services.Description;

namespace Company.Infrastructure.ServiceModel.CustomConfiguration
{
    public class Client : OverrideKeyValueCollection
    {
        [ConfigurationProperty("type", DefaultValue = "", IsKey = true)]
        public string Type
        {
            get
            {
                return (string)this["type"];
            }
            set
            {
                this["type"] = value;
            }
        }

        [ConfigurationProperty("binding", DefaultValue = "netTcpBinding", IsKey = true)]
        public string Binding
        {
            get
            {
                return (string)this["binding"];
            }
            set
            {
                this["binding"] = value;
            }
        }

        [ConfigurationProperty("host", DefaultValue = "host")]
        public string Host
        {
            get
            {
                return (string)this["host"];
            }
            set
            {
                this["host"] = value;
            }
        }

        [ConfigurationProperty("port", DefaultValue = "")]
        public string Port
        {
            get
            {
                return (string)this["port"];
            }
            set
            {
                this["port"] = value;
            }
        }

        [ConfigurationProperty("address", DefaultValue = "")]
        public string Address
        {
            get
            {
                return (string)this["address"];
            }
            set
            {
                this["address"] = value;
            }
        }
    }
}
