﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Company.Infrastructure.ServiceModel.CustomConfiguration
{
    public class Service : OverrideKeyValueCollection
    {
        [ConfigurationProperty("contract", DefaultValue = "", IsKey=true)]
        public string Contract
        {
            get
            {
                return (string)this["contract"];
            }
            set
            {
                this["contract"] = value;
            }
        }

        [ConfigurationProperty("binding", DefaultValue = "netTcpBinding", IsKey = true)]
        public string Binding
        {
            get
            {
                return (string)this["binding"];
            }
            set
            {
                this["binding"] = value;
            }
        }

        [ConfigurationProperty("host", DefaultValue = "localhost")]
        public string Host
        {
            get
            {
                return (string)this["host"];
            }
            set
            {
                this["host"] = value;
            }
        }

        [ConfigurationProperty("port", DefaultValue = "")]
        public string Port
        {
            get
            {
                return (string)this["port"];
            }
            set
            {
                this["port"] = value;
            }
        }
    }
}
