﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Company.Infrastructure.ServiceModel.Errors
{
	public static class ErrorDetailHelper
	{
		public static ErrorDetail Clone(this ErrorDetail errorDetail)
		{
			string message = string.Empty;
			int code = -1;

			if (errorDetail != null)
			{
				message = errorDetail.Message;
				code = errorDetail.Code;
			}

			ErrorDetail detail = new ErrorDetail();
			detail.Message = message;
			detail.Code = code;
			return detail;
		}
	}
}
