﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Company.Infrastructure.ServiceModel.CustomConfiguration
{
    public class EnvironmentConfig : ConfigurationSection
    {
        [ConfigurationProperty("Overrides")]
        public OverrideKeyValueCollection Overrides
        {
            get { return ((OverrideKeyValueCollection)(base["Overrides"])); }
        }

        [ConfigurationProperty("ServiceHosts")]
        public ServiceHostCollection ServiceHosts
        {
            get { return ((ServiceHostCollection)(base["ServiceHosts"])); }
        }

        [ConfigurationProperty("Services")]
        public ServiceCollection Services
        {
            get { return ((ServiceCollection)(base["Services"])); }
        }

        [ConfigurationProperty("Clients")]
        public ClientCollection Clients
        {
            get { return ((ClientCollection)(base["Clients"])); }
        }


    }
}
